import { select, arc } from "d3";

const svg = select('svg');
const height = parseFloat(svg.attr('height'));
const width = parseFloat(svg.attr('width'));
const eyeSpacing = 100;
const eyeOffset = -70;
const eyeRadius = 40;
const browWidth = 70;
const browHeight = 15;
const browOffset = -70;
const g = svg
	.append('g')
		.attr('transform', `translate(${width / 2}, ${height / 2})`);


const circle = g
	.append('circle')
    .attr('r', height/2)
    .attr('fill', 'yellow')
    .attr('stroke', 'black')

const eyesG = g
	.append('g')
		.attr('transform', `translate(0, ${eyeOffset})`);

const browG = eyesG
	.append('g')
		.attr('transform', `translate(0, ${browOffset})`);

browG
  .transition().duration(2000)
		.attr('transform', `translate(0, ${browOffset - 50})`)
	.transition().duration(2000)
		.attr('transform', `translate(0, ${browOffset})`);


const leftEye = eyesG
	.append('circle')
    .attr('r', eyeRadius)
    .attr('cx',  - eyeSpacing)

const rightEye = eyesG
	.append('circle')
    .attr('r', eyeRadius)
    .attr('cx',  eyeSpacing)

const leftBrow = browG
	.append('rect')
    .attr('x', -eyeSpacing - (browWidth / 2))
    .attr('width', browWidth)
    .attr('height', browHeight);

const rightBrow = browG
	.append('rect')
    .attr('x', +eyeSpacing - (browWidth / 2))
    .attr('width', browWidth)
    .attr('height', browHeight);


const mouth = g
	.append('path')
    .attr('d', arc()({
      innerRadius: 150,
      outerRadius: 170,
      startAngle: Math.PI / 2,
      endAngle: Math.PI * 3/2
    }));